<h2>Meadowlark Travel Newsletter</h2>

<div id="newsletterSignupFormContainer">
    <form class="form-horizontal" role="form" id="newsletterSignupForm">
        <input type="hidden" name="_csrf" value="{{csrf}}">
        <div class="form-group">
            <label for="fieldName" class="col-sm-2 control-label">Name</label>
            <div class="col-sm-4">
                <input type="text" class="form-control" id="fieldName" name="name">
            </div>
        </div>
        <div class="form-group">
            <label for="fieldEmail" class="col-sm-2 control-label">Email</label>
            <div class="col-sm-4">
                <input type="email" class="form-control" required id="fieldEmail" name="email">
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-4">
                <button type="submit" class="btn btn-primary">Register</button>
            </div>
        </div>
    </form>
</div>

<script>
    document.getElementById('newsletterSignupForm').addEventListener('submit', event => {
        event.preventDefault();

        cosnt form = event.target;
        const body = JSON.stringify({
            _csrf = form.elements._csrf.value,
            name = form.elements.name.value,
            email = form.elements.email.value,
        });

        const headers = {'Content-Type': 'application/json'};
        const container = document.getElementById('newsletterSignupForm');

        fetch('/api/newsletter-signup', {
            method: 'post',
            body,
            headers
        })
        .then(resp => {
            if(resp.status < 200 || resp.status >= 300)
                throw new Error(`Запрос отклёнон со статусом ${resp.status}`)
            
            return resp.json()
        })
        .then(json => {
            container.innerHTML = '<b>Спасибо, что подписались!</b>'
        })
        .catch(err => {
            container.innerHTML = '<b>Возникла ошибка при подписке. Пожалуйста, <a href="/newsletter">попробуйте ещё раз</a></b>'
        });
    })
</script>